# persagy-dmp-doc

数据中台相关文档

#### 文档结构

***

| 模块             | 文档           | 内容                                                         |
| ---------------- | -------------- | ------------------------------------------------------------ |
| 数据标准化服务   | dict.md        | 提供标准化数据服务，包括数据定义和自定义等相关接口           |
| 用户组织管理服务 | orgnization.md | 描述集团、项目、部门、岗位、用户、应用、功能等信息的数据结构以及之间的关系，并提供接口。 |
| 报警服务         | alarm.md       | 描述报警条目、报警记录、自动报警配置等信息的数据结构，并提供接口 |
| 任务调度服务     | scheduler.md   | 描述任务配置、执行记录等信息的数据结构以及使用方式与约束，并提供接口 |
| 空间设备对象服务 | object.md      | （原数据字典与物理世界）描述类型定义、信息点定义、对象、关系等数据结构，并提供接口 |
| 供应商服务       | 待补充         |                                                              |
| 库存耗材与工具   | 待补充         |                                                              |
| 租户             | 待补充         |                                                              |
| 物联网数据       | 待补充         | 描述从Kafka接收到数据包的后续处理                            |



### 接口规范

描述上述服务中涉及到的接口的编写和使用规范

1. 字段采用驼峰式，由数字、字母和 _ $ 组成，且第一个字符不能是数字
2. 接口文档未描述查询相关接口，默认各个模块均提供针对数据模型对象的查询功能

