## 报警系统数据表
# 报警条目表
create table alarm_item
(
    id varchar(40) not null primary key,
    code varchar(40) not null,
    name varchar(255) null,
    project_id varchar(40) null,
    alarm_category varchar(100) null,
    level varchar(40)  null,
    valid int null,
    create_by varchar(40) null,
    create_time timestamp null,
    update_by varchar(40) null,
    update_time timestamp null,
    remark varchar(500) null
);

# 报警记录表
create table alarm_record
(
    id varchar(40)  not null primary key,
    code varchar(40)  null,
    project_id varchar(50)  null,
    object_id varchar(50)  null,
    level varchar(10)  null,
    status varchar(50)  null,
    create_time varchar(14)  null,
    recover_time varchar(14)  null,
    remark varchar(500) null
);

# 报警状态表(放数据字典)
-- create table alarm_status
-- (
--     id varchar(40)  not null primary key,
--     status_code varchar(40) not null ,
--     recover_time timestamp ,
--     remark varchar(500)
-- );


