## 务调度系统数据表
# 任务配置
create table dpt_task_cfg
(
    id  varchar(40) not null primary key ,
    group_code  varchar(20) null ,
    app_code    varchar(40) null ,
    project_id  varchar(40) null ,
    code    varchar(20) not null ,
    name    varchar(40) not null ,
    type    varchar(20) not null ,
    config  json not null ,
    params  json not null ,
    time_rule   json not null ,
    start_time  timestamp null ,
    end_time    timestamp null ,
    response_time   int not null ,
    level   varchar(20) not null ,
    remark  varchar(200)
);

# 任务执行记录
create table dpt_task_record
(
    id  varchar(40) not null primary key ,
    task_id varchar(40) not null ,
    start_time  timestamp null ,
    end_time timestamp null ,
    success int not null ,
    error_info  json not null
);