# log

### 数据结构

| log_type（维护在数据字典中） |
| ---------------------------- |
|                              |



| log_data   |              |                                                 |
| ---------- | ------------ | ----------------------------------------------- |
| 字段       | 字段说明     | 备注                                            |
| rowKey     | hbase索引    | 全局唯一，“20200905114410+belong_sys+type_code” |
| name       | 日志名称     |                                                 |
| type_name  | 日志类型名称 |                                                 |
| type_code  | 日志类型编码 |                                                 |
| value      | 日志内容     |                                                 |
| belong_sys | 日志归属应用 | 维护在数据字典中，写对应编码                    |
| create_by  | 操作人或系统 |                                                 |
| remark     | 备注         |                                                 |



### 保存

```json
{
  "name": "",
  "typeName": "",
  "typeCode": "",
  "belongSys": "",
  "createBy": "",
  "remark": "",
  "value": [
    {
      // 日志内容
    }
  ]
}
```

各业务系统的日志按上述字段格式写入kafka中，由数据中台进行消息的监听和消费，并写入hbase中。