##数据字典表
# 字典类型
create table dic_dt_type
(
    id varchar(20) not null primary key ,
    group_code varchar(20) null,
    type varchar(40) not null,
    name varchar(40) not null,
    description varchar(200) null,
    status int not null,
    create_time timestamp null,
    create_by varchar(40) null,
    update_time timestamp null,
    update_by varchar(40) null,
    remark varchar(200) null
);

# 字典数据
create table dic_dt_data
(
    id varchar(20) not null primary key ,
    dict_type_id varchar(20) not null,
    parent_id varchar(20) null,
    type varchar(40) not null,
    code varchar(40) not null,
    label varchar(40) not null,
    status int not null,
    create_time timestamp null,
    create_by varchar(40) null,
    update_time timestamp null,
    update_by varchar(40) null,
    remark varchar(200) null
);

# 字典数据映射
create table dic_dt_data_map
(
    id varchar(20) not null primary key ,
    dict_data_id varchar(20) not null,
    type varchar(40) not null,
    group_code varchar(20) not null,
    target_code varchar(20) not null,
    label varchar(40) not null,
    code varchar(40) not null,
    status int not null,
    create_time timestamp null,
    create_by varchar(40) null,
    update_time timestamp null,
    update_by varchar(40) null,
    remark varchar(200) null
);

# 知识库类型
create table dic_kl_type
(
    id varchar(20) not null primary key ,
    code varchar(40) not null,
    name varchar(40) not null,
    description varchar(500) null,
    status int not null,
    create_time timestamp null,
    create_by varchar(40) null,
    update_time timestamp null,
    update_by varchar(40) null,
    remark varchar(200) null
);

# 知识库数据
create table dic_kl_data
(
    id varchar(20) not null primary key ,
    kl_type_code varchar(20) not null,
    kl_type_name varchar(40) not null,
    parent_id varchar(20) null,
    code varchar(40) not null,
    label varchar(40) not null,
    value varchar(500) null,
    status int not null,
    create_time timestamp null,
    create_by varchar(40) null,
    update_time timestamp null,
    update_by varchar(40) null,
    remark varchar(200) null
);